#include<bits/stdc++.h>
using namespace std;
int n,k,suma;
int a[200000];
int main()
{
    cin>>n>>k;
    for(int i=0;i<n;i++)
        cin>>a[i];
    for(int i=0;i<n;i++) //za k=1
        suma+=a[i]*(n-i)*(i+1);
    cout<<suma;
    return 0;
    /*5 1
1 6 3 4 7*/
}